| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Private Attributes | Friends | List of all members
i_LayoutItem Class Reference
uiBase

Wrapper around QLayoutItem class. Stores some dGB specific layout info. More...

`#include <i_layoutitem.h>`

Inheritance diagram for i_LayoutItem:
[legend]

## Public Member Functions
| i_LayoutItem (i_LayoutMngr &, QLayoutItem &)
virtual | ~i_LayoutItem ()
uiSize | actualSize (bool include_border=true) const
| live objs: use uiObject::width() etc
virtual int | center (LayoutMode, bool hor=true) const
uiRect & | curpos (LayoutMode m)
const uiRect & | curpos (LayoutMode m) const
virtual void | initChildLayout (LayoutMode)
bool | inited () const
virtual void | invalidate ()
virtual uiSize | minimumSize () const
const i_LayoutMngr & | mngr () const
| mOD_DisableCopy (i_LayoutItem) virtual int horAlign(LayoutMode m) const
uiSize | prefSize () const
virtual void | updatedAlignment (LayoutMode)
Public Member Functions inherited from uiBody
virtual | ~uiBody ()
virtual void | clear ()
virtual bool | finalized () const
virtual void | fontchanged ()
| mOD_DisableCopy (uiBody) virtual void final ize()
QWidget * | qwidget ()
| can return 0
const QWidget * | qwidget () const
| can return 0
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Member Functions
void | attach (ConstraintType, i_LayoutItem *other, int margin, bool reciprocal=true)
virtual uiObjectBody * | bodyLayouted ()
const uiObjectBody * | bodyLayouted () const
virtual void | commitGeometrySet (bool)
void | initLayout (LayoutMode, int mngrtop, int mngrleft)
bool | isAligned () const
bool | layout (LayoutMode, int, bool)
virtual const QWidget * | managewidg_ () const
i_LayoutMngr & | mngr ()
virtual uiObject * | objLayouted ()
const uiObject * | objLayouted () const
QLayoutItem & | qlayoutItm ()
const QLayoutItem & | qlayoutItm () const
const QWidget * | qwidget_ () const override
int | stretch (bool hor) const
QLayoutItem * | takeQlayoutItm ()
Protected Member Functions inherited from uiBody
| uiBody ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
uiRect | layoutpos_ [nLayoutMode]
bool | minimum_pos_inited_ = false
bool | preferred_pos_inited_ = false
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Private Member Functions
void | managerDeletedCB (CallBacker *)

## Private Attributes
TypeSet< uiConstraint > | constraintlist_
bool | hsameas_ = false
i_LayoutMngr * | mngr_
uiSize | prefsz_
bool | prefszdone_ = false
QLayoutItem * | qlayoutitm_
bool | vsameas_ = false

## Friends
class | i_LayoutIterator
class | i_LayoutMngr

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

Wrapper around QLayoutItem class. Stores some dGB specific layout info.

<>

## Constructor & Destructor Documentation

## ◆ i_LayoutItem()

i_LayoutItem::i_LayoutItem | ( | i_LayoutMngr & | ,
|  | QLayoutItem & | )

## ◆ ~i_LayoutItem()

virtual i_LayoutItem::~i_LayoutItem | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ actualSize()

uiSize i_LayoutItem::actualSize | ( | bool | include_border = true | ) | const

live objs: use uiObject::width() etc

## ◆ attach()

void i_LayoutItem::attach | ( | ConstraintType | ,
|  | i_LayoutItem * | other,
|  | int | margin,
|  | bool | reciprocal = true )
| protected

## ◆ bodyLayouted() [1/2]

virtual uiObjectBody * i_LayoutItem::bodyLayouted | ( |  | ) |
| inline protected virtual

Reimplemented in i_uiLayoutItem.

## ◆ bodyLayouted() [2/2]

const uiObjectBody * i_LayoutItem::bodyLayouted | ( |  | ) | const
| protected

## ◆ center()

virtual int i_LayoutItem::center | ( | LayoutMode | ,
|  | bool | hor = true ) const
| virtual

## ◆ commitGeometrySet()

virtual void i_LayoutItem::commitGeometrySet | ( | bool |  | ) |
| protected virtual

## ◆ curpos() [1/2]

uiRect & i_LayoutItem::curpos | ( | LayoutMode | m | ) |
| inline

## ◆ curpos() [2/2]

const uiRect & i_LayoutItem::curpos | ( | LayoutMode | m | ) | const
| inline

## ◆ initChildLayout()

virtual void i_LayoutItem::initChildLayout | ( | LayoutMode |  | ) |
| inline virtual

## ◆ inited()

bool i_LayoutItem::inited | ( |  | ) | const

## ◆ initLayout()

void i_LayoutItem::initLayout | ( | LayoutMode | ,
|  | int | mngrtop,
|  | int | mngrleft )
| protected

## ◆ invalidate()

virtual void i_LayoutItem::invalidate | ( |  | ) |
| virtual

## ◆ isAligned()

bool i_LayoutItem::isAligned | ( |  | ) | const
| protected

## ◆ layout()

bool i_LayoutItem::layout | ( | LayoutMode | ,
|  | int | ,
|  | bool | )
| protected

## ◆ managerDeletedCB()

void i_LayoutItem::managerDeletedCB | ( | CallBacker * |  | ) |
| private

## ◆ managewidg_()

virtual const QWidget * i_LayoutItem::managewidg_ | ( |  | ) | const
| protected virtual

## ◆ minimumSize()

virtual uiSize i_LayoutItem::minimumSize | ( |  | ) | const
| virtual

## ◆ mngr() [1/2]

i_LayoutMngr & i_LayoutItem::mngr | ( |  | ) |
| inline protected

## ◆ mngr() [2/2]

const i_LayoutMngr & i_LayoutItem::mngr | ( |  | ) | const
| inline

## ◆ mOD_DisableCopy()

i_LayoutItem::mOD_DisableCopy | ( | i_LayoutItem |  | ) | const
| inline

## ◆ objLayouted() [1/2]

virtual uiObject * i_LayoutItem::objLayouted | ( |  | ) |
| inline protected virtual

Reimplemented in i_uiLayoutItem.

## ◆ objLayouted() [2/2]

const uiObject * i_LayoutItem::objLayouted | ( |  | ) | const
| protected

## ◆ prefSize()

uiSize i_LayoutItem::prefSize | ( |  | ) | const

## ◆ qlayoutItm() [1/2]

QLayoutItem & i_LayoutItem::qlayoutItm | ( |  | ) |
| protected

## ◆ qlayoutItm() [2/2]

const QLayoutItem & i_LayoutItem::qlayoutItm | ( |  | ) | const
| protected

## ◆ qwidget_()

const QWidget * i_LayoutItem::qwidget_ | ( |  | ) | const
| override protected virtual

Implements uiBody.

## ◆ stretch()

int i_LayoutItem::stretch | ( | bool | hor | ) | const
| protected

## ◆ takeQlayoutItm()

QLayoutItem * i_LayoutItem::takeQlayoutItm | ( |  | ) |
| protected

## ◆ updatedAlignment()

virtual void i_LayoutItem::updatedAlignment | ( | LayoutMode |  | ) |
| inline virtual

## Friends And Related Symbol Documentation

## ◆ i_LayoutIterator

friend class i_LayoutIterator
| friend

## ◆ i_LayoutMngr

friend class i_LayoutMngr
| friend

## Member Data Documentation

## ◆ constraintlist_

TypeSet<uiConstraint> i_LayoutItem::constraintlist_
| private

## ◆ hsameas_

bool i_LayoutItem::hsameas_ = false
| private

## ◆ layoutpos_

uiRect i_LayoutItem::layoutpos_[nLayoutMode]
| protected

## ◆ minimum_pos_inited_

bool i_LayoutItem::minimum_pos_inited_ = false
| protected

## ◆ mngr_

i_LayoutMngr* i_LayoutItem::mngr_
| private

## ◆ preferred_pos_inited_

bool i_LayoutItem::preferred_pos_inited_ = false
| protected

## ◆ prefsz_

uiSize i_LayoutItem::prefsz_
| private

## ◆ prefszdone_

bool i_LayoutItem::prefszdone_ = false
| private

## ◆ qlayoutitm_

QLayoutItem* i_LayoutItem::qlayoutitm_
| private

## ◆ vsameas_

bool i_LayoutItem::vsameas_ = false
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025